gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Objects.RepeatNode

Contents

- Exported types
- Methods
  - getChild
  - getChildBounds
  - new

Description

A render node repeating its single child node.

Synopsis

- newtype RepeatNode = RepeatNode (ManagedPtr RepeatNode)
- class (BoxedPtr o, TypedObject o, IsDescendantOf RepeatNode o) => IsRepeatNode o
- toRepeatNode :: (MonadIO m, IsRepeatNode o) => o -> m RepeatNode
- repeatNodeGetChild :: (HasCallStack, MonadIO m, IsRepeatNode a) => a -> m RenderNode
- repeatNodeGetChildBounds :: (HasCallStack, MonadIO m, IsRepeatNode a) => a -> m Rect
- repeatNodeNew :: (HasCallStack, MonadIO m, IsRenderNode a) => Rect -> a -> Maybe Rect -> m RepeatNode

# Exported types

newtype RepeatNode Source #

Memory-managed wrapper type.

Constructors

RepeatNode (ManagedPtr RepeatNode) |

#### Instances

Instances details

Eq RepeatNode Source # |
Instance details Defined in GI.Gsk.Objects.RepeatNode Methods (==) :: RepeatNode -> RepeatNode -> Bool Source # (/=) :: RepeatNode -> RepeatNode -> Bool Source #
BoxedPtr RepeatNode Source # |
Instance details Defined in GI.Gsk.Objects.RepeatNode Methods boxedPtrCopy :: RepeatNode -> IO RepeatNode Source # boxedPtrFree :: RepeatNode -> IO () Source #
ManagedPtrNewtype RepeatNode Source # |
Instance details Defined in GI.Gsk.Objects.RepeatNode Methods toManagedPtr :: RepeatNode -> ManagedPtr RepeatNode Source #
TypedObject RepeatNode Source # |
Instance details Defined in GI.Gsk.Objects.RepeatNode Methods glibType :: IO GType Source #
HasParentTypes RepeatNode Source # |
Instance details Defined in GI.Gsk.Objects.RepeatNode
type ParentTypes RepeatNode Source # |
Instance details Defined in GI.Gsk.Objects.RepeatNode type ParentTypes RepeatNode = '[RenderNode]

class (BoxedPtr o, TypedObject o, IsDescendantOf RepeatNode o) => IsRepeatNode o Source #

Type class for types which can be safely cast to `RepeatNode`, for instance with `toRepeatNode`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf RepeatNode o) => IsRepeatNode o Source # |
Instance details Defined in GI.Gsk.Objects.RepeatNode

toRepeatNode :: (MonadIO m, IsRepeatNode o) => o -> m RepeatNode Source #

Cast to `RepeatNode`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

draw, ref, serialize, unref, writeToFile.

#### Getters

getBounds, getChild, getChildBounds, getChildren, getNodeType, getOpaqueRect.

#### Setters

None.

## getChild

repeatNodeGetChild Source #

Arguments

:: (HasCallStack, MonadIO m, IsRepeatNode a) |
=> a | `node`: a repeat `GskRenderNode`
-> m RenderNode | Returns: a `GskRenderNode`

Retrieves the child of `node`.

## getChildBounds

repeatNodeGetChildBounds Source #

Arguments

:: (HasCallStack, MonadIO m, IsRepeatNode a) |
=> a | `node`: a repeat `GskRenderNode`
-> m Rect | Returns: a bounding rectangle

Retrieves the bounding rectangle of the child of `node`.

## new

repeatNodeNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsRenderNode a) |
=> Rect | `bounds`: The bounds of the area to be painted
-> a | `child`: The child to repeat
-> Maybe Rect | `childBounds`: The area of the child to repeat or `Nothing` to use the child's bounds
-> m RepeatNode | Returns: A new `GskRenderNode`

Creates a `GskRenderNode` that will repeat the drawing of `child` across the given `bounds`.